Added an optional package DevelopmentPowerPC

* haiku-devlibs-ppc-gcc4 zip archive contains libroot and glue (but no stdc++).
* fixed /boot/develop/lib/$arch symlink to point to the right dir instead of current.
* setgcc now handles the ppc arch and updates the arch link /boot/develop/lib.
This commit is contained in:
Jérôme Duval
2012-03-18 15:36:26 +01:00
parent 026d20288d
commit f659f955ba
3 changed files with 34 additions and 5 deletions
+1
View File
@@ -14,6 +14,7 @@ OptionalPackageDependencies CDRecord : LibIconv ;
OptionalPackageDependencies Curl : OpenSSL ;
OptionalPackageDependencies DevelopmentBase : CDRecord DevelopmentMin Yasm ;
OptionalPackageDependencies Development : DevelopmentBase Perl ;
OptionalPackageDependencies DevelopmentPowerPC : DevelopmentMin ;
OptionalPackageDependencies GetText : LibIconv ;
OptionalPackageDependencies Git : Expat Curl OpenSSL LibIconv ;
OptionalPackageDependencies ICU-devel : DevelopmentBase ;
+20 -1
View File
@@ -41,6 +41,7 @@ if $(HAIKU_ADD_ALTERNATIVE_GCC_LIBS) = 1
# DevelopmentBase - basic development environment (gcc, headers, libs,...)
# DevelopmentJava - JamVM, a Java Virtual machine, GNU Classpath, ECJ
# DevelopmentMin - development headers, libs, tools, from sources only
# DevelopmentPowerPC - Cross compiling environment for PowerPC
# Doxygen - Generate documentation from source code
# Expat - XML parsing libraries
# Fastdep - fast dependency generator for C/C++ files
@@ -744,7 +745,7 @@ if [ IsOptionalHaikuImagePackageAdded DevelopmentMin ] && $(TARGET_ARCH) = x86 {
# symlinks for ABI abstraction
AddSymlinkToHaikuImage develop abi : $(arch)/$(abi) : current ;
AddSymlinkToHaikuImage develop lib : /boot/develop/abi/current/lib
AddSymlinkToHaikuImage develop lib : /boot/develop/abi/$(arch)/$(abi)/lib
: $(arch) ;
AddSymlinkToHaikuImage develop tools
: /boot/develop/abi/current/tools/current : gnupro ;
@@ -803,6 +804,24 @@ if [ IsOptionalHaikuImagePackageAdded DevelopmentMin ] && $(TARGET_ARCH) = x86 {
}
# DevelopmentPowerPC
if [ IsOptionalHaikuImagePackageAdded DevelopmentPowerPC ] {
if $(TARGET_ARCH) != x86 {
Echo "No optional package DevelopmentPowerPC available for $(TARGET_ARCH)" ;
} else if $(HAIKU_GCC_VERSION[1]) < 4 && ! $(isHybridBuild) {
Echo "No optional package DevelopmentPowerPC available for gcc2" ;
} else {
InstallOptionalHaikuImagePackage
gcc-ppc-4.6.2-x86-gcc4-2012-03-17.zip
: $(baseURL)/gcc-ppc-4.6.2-x86-gcc4-2012-03-17.zip ;
InstallOptionalHaikuImagePackage
haiku-devlibs-ppc-gcc4-2012-03-18.zip
: $(baseURL)/haiku-devlibs-ppc-gcc4-2012-03-18.zip ;
}
}
# DMIDecode
if [ IsOptionalHaikuImagePackageAdded DMIDecode ] {
if $(TARGET_ARCH) != x86 {
+13 -4
View File
@@ -2,8 +2,9 @@
#
# setgcc [ <arch> ] [ <gcc> ]
abiDir=/boot/develop/abi/
abiDir=/boot/develop/abi
abiLink=$abiDir/current
libDir=/boot/develop/lib
usage()
{
@@ -13,7 +14,7 @@ Usage: $0 [ <arch> ] [ <gcc> ]
Sets the current gcc version, respectively prints it, if no arguments are
given.
<arch> - The architecture to set. Supported values: "x86".
<arch> - The architecture to set. Supported values: "x86", "ppc".
<gcc> - The major gcc version to set. Supported values: "gcc2", "gcc4".
EOF
@@ -46,6 +47,7 @@ while [ $# -gt 0 ]; do
case $1 in
-h,--help) usage; exit;;
x86) arch=$1;;
ppc) arch=$1;;
gcc2|gcc4) gcc=$1;;
*) usage; exit 1;;
esac
@@ -76,8 +78,8 @@ if [ -z "$gcc" ]; then
fi
fi
# check whether the gcc exits
if [ ! -e $abiDir/$arch/$gcc/tools/current/bin/gcc ]; then
# check whether the gcc exists
if [ ! -e $abiDir/$arch/$gcc/tools/current/bin/*gcc ]; then
echo "Can't set GCC $arch/$gcc -- not installed." >&2
exit 1
fi
@@ -87,3 +89,10 @@ fi
echo "Failed to set GCC $arch/$gcc." >&2
exit 1
}
# create the lib symlink
libLink=$libDir/$arch
( rm -f $libLink && ln -sf $abiDir/$arch/$gcc/lib $libLink ) || {
echo "Failed to set lib $arch/$gcc." >&2
exit 1
}